package com.atguigu.ssyx.common.context;


import com.atguigu.ssyx.vo.acl.AdminLoginVo;
import com.atguigu.ssyx.vo.user.UserLoginVo;

public class BaseContext {
    private static final ThreadLocal<Long> userId = new ThreadLocal<>();
    private static final ThreadLocal<Long> wareId = new ThreadLocal<>();
    private static final ThreadLocal<Long> adminId = new ThreadLocal<>();
    private static final ThreadLocal<AdminLoginVo> adminLoginVo = new ThreadLocal<>();
    private static final ThreadLocal<UserLoginVo> userLoginVo = new ThreadLocal<>();

    // 用户id相关
    public static Long getUserId() {
        return userId.get();
    }

    public static void setUserId(Long _userId) {
        userId.set(_userId);
    }

    public static void removeUserId() {
        userId.remove();
    }

    // wareId相关
    public static Long getWareId() {
        return wareId.get();
    }

    public static void setWareId(Long _wareId) {
        wareId.set(_wareId);
    }

    public static void removeWareId() {
        wareId.remove();
    }

    // adminId 相关
    public static Long getAdminId() {
        return adminId.get();
    }

    public static void setAdminId(Long _adminId) {
        adminId.set(_adminId);
    }

    public static void removeAdminId() {
        adminId.remove();
    }

    // adminLoginVo相关
    public static AdminLoginVo getAdminLoginVo() {
        return adminLoginVo.get();
    }

    public static void setAdminLoginVo(AdminLoginVo _adminLoginVo) {
        adminLoginVo.set(_adminLoginVo);
    }

    public static void removeAdminLoginVo() {
        adminLoginVo.remove();
    }

    // userLoginVo相关
    public static UserLoginVo getUserLoginVo() {
        return userLoginVo.get();
    }

    public static void setUserLoginVo(UserLoginVo _userLoginVo) {
        userLoginVo.set(_userLoginVo);
    }

    public static void removeUserLoginVo() {
        userLoginVo.remove();
    }
}
