package com.atguigu.ssyx.acl.controller;

import com.atguigu.ssyx.common.result.Result;
import com.atguigu.ssyx.vo.acl.LoginInfoVo;
import com.atguigu.ssyx.vo.acl.LoginVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "登录相关管理")
@RestController
@RequestMapping("/admin/acl/index")
public class IndexController {
    @ApiOperation(value = "请求登陆的login")
    @PostMapping("login")
    public Result<LoginVo> login() {
        LoginVo vo = LoginVo.builder().token("admin-token").build();
        return Result.success(vo);
    }

    @ApiOperation(value = "获取用户信息")
    @GetMapping("info")
    public Result<LoginInfoVo> info() {
        LoginInfoVo vo = LoginInfoVo.builder().name("admin").avatar("").build();
        return Result.success(vo);
    }

    @ApiOperation(value = "退出登录")
    @PostMapping("logout")
    public Result<String> logout() {
        return Result.success();
    }
}