package com.atguigu.ssyx.activity.mapper;

import com.atguigu.ssyx.model.activity.CouponInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 优惠券信息 Mapper 接口
 * </p>
 *
 * @author bunny
 * @since 2024-04-04
 */
@Mapper
public interface CouponInfoMapper extends BaseMapper<CouponInfo> {
    /**
     * * 根据skuId获取活动规则数据
     *
     * @param id         商品id
     * @param categoryId 分类id
     * @param userId     用户id
     * @return 优惠卷信息列表
     */
    List<CouponInfo> selectCouponInfoList(Long id, Long categoryId, Long userId);

    /**
     * 获取用户全部优惠券
     *
     * @param userId 用户ID
     * @return List<CouponInfo>
     */
    List<CouponInfo> selectCartCouponInfoList(Long userId);
}
