package com.atguigu.ssyx.activity.service.impl;

import com.atguigu.ssyx.activity.mapper.SecKillMapper;
import com.atguigu.ssyx.activity.service.SecKillService;
import com.atguigu.ssyx.model.activity.Seckill;
import com.atguigu.ssyx.vo.activity.SeckillQueryVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * <p>
 * 秒杀活动 服务实现类
 * </p>
 *
 * @author bunny
 * @since 2024-04-06
 */
@Service
public class SeckillServiceImpl extends ServiceImpl<SecKillMapper, Seckill> implements SecKillService {

    /**
     * * 获取分页列表
     *
     * @param pageParam 分页参数
     * @param vo        秒杀信息
     * @return 分页结果
     */
    @Override
    public IPage<Seckill> selectPage(Page<Seckill> pageParam, SeckillQueryVo vo) {
        Integer status = vo.getStatus();
        String title = vo.getTitle();
        LambdaQueryWrapper<Seckill> wrapper = new LambdaQueryWrapper<>();
        if (!StringUtils.isEmpty(status)) {
            wrapper.eq(Seckill::getStatus, status);
        }
        if (!StringUtils.isEmpty(title)) {
            wrapper.like(Seckill::getTitle, title);
        }
        return baseMapper.selectPage(pageParam, wrapper);
    }

    /**
     * * 更新状态
     *
     * @param id     Id
     * @param status 状态值
     */
    @Override
    public void updateStatus(Long id, Integer status) {
        Seckill seckill = new Seckill();
        seckill.setStatus(status);
        seckill.setId(id);
        this.updateById(seckill);
    }
}
