package com.atguigu.ssyx.order.service;

import com.atguigu.ssyx.model.order.OrderInfo;
import com.atguigu.ssyx.vo.order.OrderConfirmVo;
import com.atguigu.ssyx.vo.order.OrderSubmitVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface OrderInfoService extends IService<OrderInfo> {

    /**
     * * 确认订单
     *
     * @return 订单确认内容
     */
    OrderConfirmVo confirmOrder();

    /**
     * * 获取订单详情
     * @param orderId 订单ID
     * @return 订单详情
     */
    OrderInfo getOrderInfoById(Long orderId);

    /**
     * * 生成订单
     * @param vo 订单提交信息
     * @param userId 用户ID
     * @return 订单编号
     */
    Long submitOrder(OrderSubmitVo vo, Long userId);
}
