package com.atguigu.ssyx.product.service.impl;

import com.atguigu.ssyx.model.product.AttrGroup;
import com.atguigu.ssyx.product.mapper.AttrGroupMapper;
import com.atguigu.ssyx.product.service.AttrGroupService;
import com.atguigu.ssyx.vo.product.AttrGroupQueryVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * <p>
 * 属性分组 服务实现类
 * </p>
 *
 * @author bunny
 * @since 2024-04-03
 */
@Service
public class AttrGroupServiceImpl extends ServiceImpl<AttrGroupMapper, AttrGroup> implements AttrGroupService {

    /**
     * 获取分页列表
     *
     * @param pageParam 分页查询条件
     * @param vo        查询分页参数
     * @return 分页查询结果
     */
    @Override
    public IPage<AttrGroup> selectPage(Page<AttrGroup> pageParam, AttrGroupQueryVo vo) {
        LambdaQueryWrapper<AttrGroup> wrapper = new LambdaQueryWrapper<>();

        wrapper.like(!StringUtils.isEmpty(vo.getName()), AttrGroup::getName, vo.getName());
        wrapper.orderByDesc(AttrGroup::getId);
        return baseMapper.selectPage(pageParam, wrapper);
    }
}
