package com.atguigu.ssyx.product.service.impl;

import com.atguigu.ssyx.model.product.SkuImage;
import com.atguigu.ssyx.product.mapper.SkuImageMapper;
import com.atguigu.ssyx.product.service.SkuImageService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 商品图片 服务实现类
 * </p>
 *
 * @author bunny
 * @since 2024-04-03
 */
@Service
public class SkuImageServiceImpl extends ServiceImpl<SkuImageMapper, SkuImage> implements SkuImageService {
    /**
     * 根据id查询商品图片列表
     *
     * @param id 商品id
     * @return 商品图片列表
     */
    @Override
    public List<SkuImage> getImageListBySkuId(Long id) {
        return baseMapper.selectList(Wrappers.<SkuImage>lambdaQuery().eq(SkuImage::getSkuId, id));
    }
}
