package com.atguigu.ssyx.search.repository;

import com.atguigu.ssyx.model.search.SkuEs;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.elasticsearch.repository.ElasticsearchRepository;

public interface SkuRepository extends ElasticsearchRepository<SkuEs, Long> {
    /**
     * * 获取爆品商品
     *
     * @param page 分页参数
     * @return Page<SkuEs>
     */
    Page<SkuEs> findByOrderByHotScoreDesc(Pageable page);

    /**
     * * 根据分类Id和仓库Id和分页查询
     *
     * @param categoryId  分类Id
     * @param wareId      仓库Id
     * @param pageRequest 分页查询
     * @return Page<SkuEs>
     */
    Page<SkuEs> findByCategoryIdAndWareId(Long categoryId, Long wareId, Pageable pageRequest);

    /**
     * * 根据仓库Id和分类Id+keyword查询
     *
     * @param keyword     关键字
     * @param pageRequest 分页信息
     * @return 分页结果
     */
    Page<SkuEs> findByKeywordAndWareId(String keyword, Pageable pageRequest);
}
